GNU bug report logs - #21544
old bug - automatic reversion of TAGS files prevents re-computation of tags file list

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Daniel R. Grayson" <danielrichardgrayson@HIDDEN>; merged with #12654; dated Wed, 23 Sep 2015 21:18:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 12654 21544. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Sep 2015 21:29:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 23 17:29:05 2015
Received: from localhost ([127.0.0.1]:43080 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zerb6-0000fF-S8
	for submit <at> debbugs.gnu.org; Wed, 23 Sep 2015 17:29:05 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41934)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <danielrichardgrayson@HIDDEN>) id 1Zer8A-0008Ps-50
 for submit <at> debbugs.gnu.org; Wed, 23 Sep 2015 16:59:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <danielrichardgrayson@HIDDEN>) id 1Zer88-00030H-Ty
 for submit <at> debbugs.gnu.org; Wed, 23 Sep 2015 16:59:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:43082)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <danielrichardgrayson@HIDDEN>) id 1Zer88-00030D-RP
 for submit <at> debbugs.gnu.org; Wed, 23 Sep 2015 16:59:08 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51931)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <danielrichardgrayson@HIDDEN>) id 1Zer87-0001p4-W4
 for bug-gnu-emacs@HIDDEN; Wed, 23 Sep 2015 16:59:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <danielrichardgrayson@HIDDEN>) id 1Zer87-0002zf-0f
 for bug-gnu-emacs@HIDDEN; Wed, 23 Sep 2015 16:59:07 -0400
Received: from mail-ob0-x232.google.com ([2607:f8b0:4003:c01::232]:35352)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <danielrichardgrayson@HIDDEN>) id 1Zer86-0002zW-So
 for bug-gnu-emacs@HIDDEN; Wed, 23 Sep 2015 16:59:06 -0400
Received: by obbzf10 with SMTP id zf10so43468040obb.2
 for <bug-gnu-emacs@HIDDEN>; Wed, 23 Sep 2015 13:59:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :content-type; bh=Ozu9Cji/fceQjnGKS4YgXTDbhZY/sUI1Sbr2gbQS2vU=;
 b=nBD8voLQDXJ+ZN03OslzWczzApEvwhtSG43uqNuaX9gj8qFJYk0EUb0dZjDcFUX84O
 qPaWCzfDjngSV+Pk8lbVzm7e3Oetgm/UA7zi4qmOvPpPRaP2DRtoJkGHN6MPaxzPEHC5
 d9T3DPGdTMysy+P6D7QP/rZpo2tL7cXi2W6O11xA+AMii1yg0+ygW325/G5dkbBEBjCZ
 MHWHJ+4Cw45HfDEAYyMvXQbbl5vuYZ4S60XObBPJz9yeVm+961fsdS1i7gNMTwEk5aT+
 LlCk+hsqec5G1Q+G1JVlphK9xUzH+IOs3STtGuIcgPZyoLsuhIQkwaOCx4+LuUYQfC7h
 1czw==
MIME-Version: 1.0
X-Received: by 10.182.247.99 with SMTP id yd3mr19955193obc.37.1443041945426;
 Wed, 23 Sep 2015 13:59:05 -0700 (PDT)
Received: by 10.182.144.7 with HTTP; Wed, 23 Sep 2015 13:59:05 -0700 (PDT)
In-Reply-To: <CABWu70GX0f7dx6WCUEoMLjRZBo6uEBWVx5hetcNCCTk8zy=wSw@HIDDEN>
References: <CABWu70GX0f7dx6WCUEoMLjRZBo6uEBWVx5hetcNCCTk8zy=wSw@HIDDEN>
Date: Wed, 23 Sep 2015 16:59:05 -0400
Message-ID: <CABWu70EivD9uLtMD_WK2_-tGrobA=XGGHZ_jQs57ncWFhJs6=w@HIDDEN>
Subject: Re: old bug - automatic reversion of TAGS files prevents
 re-computation of tags file list
From: "Daniel R. Grayson" <danielrichardgrayson@HIDDEN>
To: bug-gnu-emacs@HIDDEN, "Grayson, Daniel" <danielrichardgrayson@HIDDEN>
Content-Type: multipart/alternative; boundary=089e0158b2588da12c05207062a5
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 23 Sep 2015 17:29:02 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--089e0158b2588da12c05207062a5
Content-Type: text/plain; charset=UTF-8

Actually, my work-around doesn't work, since tags-table-mode calls no
hooks, but my suggestion does.

On Wed, Sep 23, 2015 at 4:51 PM, Daniel R. Grayson <
danielrichardgrayson@HIDDEN> wrote:

> The bug reported at
> https://lists.gnu.org/archive/html/bug-gnu-emacs/2012-10/msg00581.html
> is still a problem in emacs version 24.5.1.  My work-around is to add the
> line
>
> (add-hook 'tags-table-mode-hook (function (lambda () (setq
> global-auto-revert-ignore-buffer t))))
>
> to my .emacs file.  I suggest instead adding the "setq" above to the
> function tags-table-mode.
>

--089e0158b2588da12c05207062a5
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Actually, my work-around doesn&#39;t work, since tags-tabl=
e-mode calls no hooks, but my suggestion does.</div><div class=3D"gmail_ext=
ra"><br><div class=3D"gmail_quote">On Wed, Sep 23, 2015 at 4:51 PM, Daniel =
R. Grayson <span dir=3D"ltr">&lt;<a href=3D"mailto:danielrichardgrayson@gma=
il.com" target=3D"_blank">danielrichardgrayson@HIDDEN</a>&gt;</span> wro=
te:<br><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-=
left:1px #ccc solid;padding-left:1ex"><div dir=3D"ltr">The bug reported at=
=C2=A0<a href=3D"https://lists.gnu.org/archive/html/bug-gnu-emacs/2012-10/m=
sg00581.html" target=3D"_blank">https://lists.gnu.org/archive/html/bug-gnu-=
emacs/2012-10/msg00581.html</a><div>is still a problem in emacs version 24.=
5.1.=C2=A0 My work-around is to add the line</div><div><br></div><div>(add-=
hook &#39;tags-table-mode-hook (function (lambda () (setq global-auto-rever=
t-ignore-buffer t))))<br></div><div><br></div><div>to my .emacs file.=C2=A0=
 I suggest instead adding the &quot;setq&quot; above to the function=C2=A0t=
ags-table-mode.</div></div>
</blockquote></div><br></div>

--089e0158b2588da12c05207062a5--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21544; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Sep 2015 21:17:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 23 17:17:54 2015
Received: from localhost ([127.0.0.1]:43074 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZerQH-0000PJ-CK
	for submit <at> debbugs.gnu.org; Wed, 23 Sep 2015 17:17:53 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39786)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <danielrichardgrayson@HIDDEN>) id 1Zer19-0008GG-9I
 for submit <at> debbugs.gnu.org; Wed, 23 Sep 2015 16:51:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <danielrichardgrayson@HIDDEN>) id 1Zer17-0008Dk-VO
 for submit <at> debbugs.gnu.org; Wed, 23 Sep 2015 16:51:54 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:60467)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <danielrichardgrayson@HIDDEN>) id 1Zer17-0008Dg-T3
 for submit <at> debbugs.gnu.org; Wed, 23 Sep 2015 16:51:53 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49779)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <danielrichardgrayson@HIDDEN>) id 1Zer17-0006XV-2l
 for bug-gnu-emacs@HIDDEN; Wed, 23 Sep 2015 16:51:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <danielrichardgrayson@HIDDEN>) id 1Zer16-0008CQ-3g
 for bug-gnu-emacs@HIDDEN; Wed, 23 Sep 2015 16:51:53 -0400
Received: from mail-oi0-x22c.google.com ([2607:f8b0:4003:c06::22c]:34137)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <danielrichardgrayson@HIDDEN>) id 1Zer15-0008Bf-S2
 for bug-gnu-emacs@HIDDEN; Wed, 23 Sep 2015 16:51:51 -0400
Received: by oiev17 with SMTP id v17so31018512oie.1
 for <bug-gnu-emacs@HIDDEN>; Wed, 23 Sep 2015 13:51:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=7We7vK4z15Y+KCkEs5l7yjI/vAZaCMSwSsFjEgUS16s=;
 b=pQBN6ceVRqPvslQvInMVzYMrUa+peXq99SoA7GAPZxqKRqU3MQQfMxpTpn8fdKHtnU
 4a1DjRprCw+UWCeE7XoY4eTmWbGP9IEymnj2QBLQKjCGbDFHFIv89kpns1BripIKkTIo
 oG+u2k+KJ6CL/JPuz/05nPWFAZ7nwPdhKHnJVg2QjWYHxMTogFy19UcCI2ju5G4/K0ms
 nYuuG2enxRzWNv3apasyo8pSaoIYj4VHWsRsJQlKxxmhTodp4czPGnB6PlOwJnMT2UV+
 Le7PlNV0aC21cs0gd+DYMLKSPYdxkvznpgiVEZdniqhmJeRlhmiuL025zePSH33xEoXj
 jNQA==
MIME-Version: 1.0
X-Received: by 10.202.66.11 with SMTP id p11mr5347172oia.92.1443041510416;
 Wed, 23 Sep 2015 13:51:50 -0700 (PDT)
Received: by 10.182.144.7 with HTTP; Wed, 23 Sep 2015 13:51:50 -0700 (PDT)
Date: Wed, 23 Sep 2015 16:51:50 -0400
Message-ID: <CABWu70GX0f7dx6WCUEoMLjRZBo6uEBWVx5hetcNCCTk8zy=wSw@HIDDEN>
Subject: old bug - automatic reversion of TAGS files prevents re-computation
 of tags file list
From: "Daniel R. Grayson" <danielrichardgrayson@HIDDEN>
To: bug-gnu-emacs@HIDDEN, "Grayson, Daniel" <danielrichardgrayson@HIDDEN>
Content-Type: multipart/alternative; boundary=001a113dd9a09fe88d0520704820
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 23 Sep 2015 17:17:50 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a113dd9a09fe88d0520704820
Content-Type: text/plain; charset=UTF-8

The bug reported at
https://lists.gnu.org/archive/html/bug-gnu-emacs/2012-10/msg00581.html
is still a problem in emacs version 24.5.1.  My work-around is to add the
line

(add-hook 'tags-table-mode-hook (function (lambda () (setq
global-auto-revert-ignore-buffer t))))

to my .emacs file.  I suggest instead adding the "setq" above to the
function tags-table-mode.

--001a113dd9a09fe88d0520704820
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">The bug reported at=C2=A0<a href=3D"https://lists.gnu.org/=
archive/html/bug-gnu-emacs/2012-10/msg00581.html">https://lists.gnu.org/arc=
hive/html/bug-gnu-emacs/2012-10/msg00581.html</a><div>is still a problem in=
 emacs version 24.5.1.=C2=A0 My work-around is to add the line</div><div><b=
r></div><div>(add-hook &#39;tags-table-mode-hook (function (lambda () (setq=
 global-auto-revert-ignore-buffer t))))<br></div><div><br></div><div>to my =
.emacs file.=C2=A0 I suggest instead adding the &quot;setq&quot; above to t=
he function=C2=A0tags-table-mode.</div></div>

--001a113dd9a09fe88d0520704820--




Acknowledgement sent to "Daniel R. Grayson" <danielrichardgrayson@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21544; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 23 Sep 2015 21:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.